Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionProgressBar Class Reference

The QStyleOptionProgressBar class is used to describe the parameters necessary for drawing a progress bar. More...

    #include <QStyleOptionProgressBar>

Inherits QStyleOption.

- List of all members, including inherited members

### Read-Only Properties

- maximum : int
- minimum : int
- progress : int

- text : QString
- textAlignment : Qt::Alignment
- textVisible : bool

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionProgressBar ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionProgressBar class is used to describe the parameters necessary for drawing a progress bar.

The QStyleOptionProgressBar class is used to draw QProgressBar.

## Property Documentation

### maximum : int

This property holds the maximum value for the progress bar.

This is the maximum value in the progress bar.

See also QProgressBar::maximum.

### minimum : int

This property holds the minimum value for the progress bar.

This is the minimum value in the progress bar.

See also QProgressBar::minimum.

### progress : int

This property holds the current progress for the progress bar.

The current progress. A value of QStyleOptionProgressBar::minimum - 1 indicates that the progress hasn't started yet.

See also QProgressBar::value.

### text : QString

This property holds the text for the progress bar.

The progress bar text is usually just the progress expressed as a string. An empty string indicates that the progress bar has not started yet.

See also QProgressBar::text.

### textAlignment : Qt::Alignment

This property holds the text alignment for the text in the .

This can be used as a guide on where the text should be in the progressbar.

See also QProgressBar::textAlignment.

### textVisible : bool

This property holds a flag indicating whether or not text is visible.

If this flag is true then the text is visible. Otherwise, the text is not visible.

See also QProgressBar::textVisible.

## Member Function Documentation

### QStyleOptionProgressBar::QStyleOptionProgressBar ()

Constructs a QStyleOptionProgressBar. The members variables are initialized to default values.